print('Initializing Simple: Molotov Burn LUA Script...')

--===========================================================||
---------------------------
--  Molotov Burn Script  --
--------------------------
-- Made by: AmflicKt / eJ z --
--    Released: 12/29/13    --
--	USDE ID : 4161	    --


-- * DESC: This script adds another feature towards the molotov
-- where if you were to be in the AOE of the Molotov, you will
-- be Burned for 4 seconds, and will take consistant DMG for 
-- the 4 seconds. (Damage is random and it can range between
-- 1-3 DMG per second (changable!))

--___________________--
--* UPDATES *	     --
--___________________--

-- Find some Bugs or message me for suggestions!

--===========================================================||

function initArray(m)
local array = {}
for i = 1, m do
array[i]=0
end
return array
end

burntrue = initArray(32)
burntimer = initArray(32)
burndmg = initArray(32)

-------------------------------------------

addhook("hit","BURN_HIT")
addhook("ms100","BURN_TRUE")
addhook("die","BURN_END")

-------------------------------------------

parse('mp_wpndmg molotovcocktail 0')

function BURN_HIT(id, source, weapon)
	if (weapon == 73) then
		msg2(id,"255025025You are on Fire!")
		burntrue[id] = 1
		BURN_TRUE(id)
	end
end

function BURN_TRUE()
	for id = 1, 32 do
		burnx = player(id,"x")
		burny = player(id,"y")
		if (burntrue[id] == 1) or (burntrue[id] ~= 0) then

			burndmg[id] = math.random(1,2)	-- Burn DMG
			burntimer[id] = burntimer[id] + 1

			if (burntimer[id] ~= 30) then	-- Duration of Burn

				parse('effect "fire" '..burnx..' '..burny..' 3 2 0 0 0')
				parse('effect "smoke" '..burnx..' '..burny..' 7 3 0 0 0')
				parse('sethealth '..id..' '..((player(id,"health")) - (burndmg[id]))..'') 

				if (burntimer[id] >= 30) then -- Duration of Burn (End)
					BURN_END(id)
				end
			end
		end
	end
end
			
function BURN_END(id)
burntrue[id] = 0
burntimer[id] = 0
return 1
end

print ("eJz's Molotov Burn Script = Loaded !")